/v1/api/healthChecks/{id} (GET) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Returns information about a specific health check configuration.

GET https://api-<BlueCat.edge.url>/v1/api/gslbRules/{id}
Authorization: Bearer authorization token

Successful response

200 OK
Content-Type: application/JSON
{    
    "id": "0196d7eb-3c19-755e-9beb-7b0c2bcc475e",
    "name": "HTTPS - Health check",
    "targets": [
        "10.10.10.10"
    ],
    "successThreshold": 1,
    "failureThreshold": 1,
    "interval": 30000,
    "maxResponseTime": 10000,
    "protocolConfig": {
        "path": "/hello",
        "port": 8443,
        "headers": [],
        "hostname": "invalid.com",
        "protocol": "https",
        "enableSni": true,
        "trustedCa": "-----BEGIN CERTIFICATE-----\n..Fg==\n-----END CERTIFICATE-----\n",
        "statusCodes": [],
        "additionalDomains": []
    },
    "created": 1747379239961,
    "modified": 1747379239961,
    "transactionId": "0196d7eb-3c19-7562-a5ef-bf404b9b2b3f"
}
Note: The created and modified fields are represented in milliseconds since the Unix Epoch.
Possible error codes:
  • BAD REQUEST - The health check ID is invalid
  • FORBIDDEN - GSLB is not enabled
  • NOT FOUND - The health check with the specific ID cannot be found
  • INTERNAL SERVER ERROR - Unexpected error